﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 23/09/2022 10:56:52
-- Server version: 5.5.5-10.4.24-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS practica7mod1;

CREATE DATABASE IF NOT EXISTS practica7mod1
CHARACTER SET utf8mb4
COLLATE utf8mb4_general_ci;

--
-- Set default database
--
USE practica7mod1;

--
-- Create table `practica`
--
CREATE TABLE IF NOT EXISTS practica (
  `P#` varchar(100) NOT NULL,
  titulo varchar(100) DEFAULT NULL,
  dificultad varchar(100) DEFAULT NULL,
  PRIMARY KEY (`P#`)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `alumno`
--
CREATE TABLE IF NOT EXISTS alumno (
  mat int(11) NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  grupo varchar(100) DEFAULT NULL,
  PRIMARY KEY (mat)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `realiza`
--
CREATE TABLE IF NOT EXISTS realiza (
  matAlumno int(11) NOT NULL,
  `p#Practica` varchar(100) NOT NULL,
  PRIMARY KEY (matAlumno, `p#Practica`)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create foreign key
--
ALTER TABLE realiza
ADD CONSTRAINT fkrealizaAlumno FOREIGN KEY (matAlumno)
REFERENCES alumno (mat);

--
-- Create foreign key
--
ALTER TABLE realiza
ADD CONSTRAINT fkrealizaPractica FOREIGN KEY (`p#Practica`)
REFERENCES practica (`P#`);

--
-- Create table `fechap`
--
CREATE TABLE IF NOT EXISTS fechap (
  `mat-Alumno` int(11) NOT NULL,
  `p#Practica` varchar(100) NOT NULL,
  nota float DEFAULT NULL,
  fecha date DEFAULT NULL,
  PRIMARY KEY (`mat-Alumno`, `p#Practica`)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create foreign key
--
ALTER TABLE fechap
ADD CONSTRAINT fkfechaPRealiza FOREIGN KEY (`mat-Alumno`, `p#Practica`)
REFERENCES realiza (matAlumno, `p#Practica`);

-- 
-- Dumping data for table practica
--
INSERT INTO practica VALUES
('CMS', 'Desarrollador', 'Media'),
('SQL', 'Base de Datos', 'Media');

-- 
-- Dumping data for table alumno
--
INSERT INTO alumno VALUES
(10, 'Pedro Casitas', '3A'),
(11, 'Juan Mazas', '6B');

-- 
-- Dumping data for table realiza
--
INSERT INTO realiza VALUES
(10, 'SQL'),
(11, 'CMS');

-- 
-- Dumping data for table fechap
--
INSERT INTO fechap VALUES
(10, 'SQL', 10, '2022-09-10'),
(11, 'CMS', 8, '2021-10-12');

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;